<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_bxslider_adsmanager_ads/assets/css/jquery.bxslider.css');
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_method_jquery			= (int)$params->get('ext_method_jquery', 0);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_load_bxslider			= (int)$params->get('ext_load_bxslider', 1);



$ext_script = <<<SCRIPT


var jQExtAds = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQExtAds) {
			jQExtAds = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 500);
	}
}
initJQ();   
  if (jQuery) jQuery.noConflict(); 



SCRIPT;

if ($ext_load_jquery  > 0) {
	if ($ext_method_jquery == 0) {
		$document->addScriptDeclaration($ext_script);
	}
	if ($ext_method_jquery == 1) {
		$document->addCustomTag('<script type = "text/javascript" src = "http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js"></script>');
		$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	}
	if ($ext_method_jquery == 2) {
		$document->addScript('http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js');
		$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	}
	
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_adsmanager_ads/assets/js/jquery.easing.1.3.js"></script>'); 
}
if ($ext_load_bxslider > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_adsmanager_ads/assets/js/jquery.bxslider.js"></script>');
}

	
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

// bxSlider options - http://bxslider.com/options
$ext_mode					= $params->get('ext_mode', 'horizontal');
$ext_speed					= (int)$params->get('ext_speed', 500);
$ext_controls				= $params->get('ext_controls', 'true');
$ext_auto					= $params->get('ext_auto', 'false');
$ext_autohover				= $params->get('ext_autohover', 'false');
$ext_pause					= (int)$params->get('ext_pause', 3000);
$ext_auto_controls			= $params->get('ext_auto_controls', 'true');
$ext_auto_delay				= (int)$params->get('ext_auto_delay', 0);
$ext_pager					= $params->get('ext_pager', 'true');
$ext_pager_type 			= $params->get('ext_pager_type', 'full');
$ext_pager_saparator		= $params->get('ext_pager_saparator', '/');
$ext_min_slides				= (int)$params->get('ext_min_slides', 1);
$ext_max_slides				= (int)$params->get('ext_max_slides', 1);
$ext_move_slides			= (int)$params->get('ext_move_slides', 0);
$ext_slide_width			= (int)$params->get('ext_slide_width', 0);
$ext_slide_margin			= (int)$params->get('ext_slide_margin', 0);
$ext_adaptive_height		= $params->get('ext_adaptive_height', 'false');
$ext_adaptive_height_speed	= (int)$params->get('ext_adaptive_height_speed', 500);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_captions				= $params->get('ext_captions', 'false');
$ext_random_start			= $params->get('ext_random_start', 'false');
$ext_title					= (int)$params->get('ext_title', 1);
$ext_price					= (int)$params->get('ext_price', 1);
$ext_currency				= $params->get('ext_currency', '$');

	
require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/configuration.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/content.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/field.php');
require_once(JPATH_BASE."/components/com_adsmanager/helpers/field.php");

$uri = JFactory::getURI();
$baseurl = JURI::base();
	
if (!defined( '_ADSMANAGER_CSS' )) {
	/** ensure that functions are declared only once */
	define( '_ADSMANAGER_CSS', 1 );
	$document = JFactory::getDocument();
	$app = JFactory::getApplication();
	$templateDir = JPATH_ROOT . '/templates/' . $app->getTemplate();
	if (is_file($templateDir.'/html/com_adsmanager/css/adsmanager.css')) {
		$templateDir = JURI::base() . 'templates/' . $app->getTemplate();
		$document->addStyleSheet($templateDir.'/html/com_adsmanager/css/adsmanager.css');
	} else {
		$document->addStyleSheet($baseurl.'components/com_adsmanager/css/adsmanager.css');
	}
}

if (!defined('_ADSMANAGER_MODULE_ADS')) {
	define( '_ADSMANAGER_MODULE_ADS', 1 );
	function isNewContent($date,$nbdays) {
		$time = strtotime($date);
		if ($time >= (time()-($nbdays*24*3600)))
			return true;
		else
			return false;
	}
	
	function reorderDate( $date ){
		$format = JText::_('ADSMANAGER_DATE_FORMAT_LC');
		
		if ($date && (preg_match("/([0-9]{4})-([0-9]{2})-([0-9]{2})/",$date,$regs))) {
			$date = mktime( 0, 0, 0, $regs[2], $regs[3], $regs[1] );
			$date = $date > -1 ? strftime( $format, $date) : '-';
		}
		return $date;
	}
}

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

$nb_ads 			= intval($params->get( 'nb_ads', 3 )) ;
$imagesize 			= $params->get( 'imagesize', "small" ) ;

switch($imagesize) {
	case "large":
		$imagetype = "image";break;
	case "medium":
		$imagetype = "medium";break;
	default:
	case "small":
		$imagetype = "thumbnail";break;
}

$itemid 			= intval($params->get( 'default_itemid', JRequest::getInt('Itemid', 0 ) )) ;
$sort_sql			= intval($params->get( 'random',0));
$catselect 			= $params->get('catselect',"no");
$displaycategory 	= intval($params->get( 'displaycategory',1));
$displaydate 		= intval($params->get( 'displaydate',1));



$confmodel 	 = new AdsmanagerModelConfiguration();
$conf = $confmodel->getConfiguration();
$nb_images = $conf->nb_images;

$contentmodel  = new AdsmanagerModelContent();
$contents = $contentmodel->getLatestContents($nb_ads,$sort_sql,$catselect);

$fields = array();
$fields[] = $params->get( 'field1', "") ;
$fields[] = $params->get( 'field2', "") ;
$fields[] = $params->get( 'field3', "") ;
$fields[] = $params->get( 'field4', "") ;
$fields[] = $params->get( 'field5', "") ;
$listfields="";
foreach($fields as $field)
{
	if (($listfields == "")&&($field != ""))
		$listfields .= "'$field'";
	if ($field != "")
		$listfields .= ",'$field'";
}

$fieldmodel  = new AdsmanagerModelField();
$field_values = array();
$adfields = array();
if ($listfields != "")
{
	$adfields = $fieldmodel->getFieldsByName($listfields);
	$field_values = $fieldmodel->getFieldValues();

	foreach($adfields as $field)
	{
		if ($field->cbfieldvalues != "-1")
		{
			/*get CB value fields */
			$cbfieldvalues = $fieldmodel->getCBFieldValues($field->cbfieldvalues);
			$field_values[$field->fieldid] = $cbfieldvalues;
		}
	}
}
$field = new JHTMLAdsmanagerField($conf,$field_values,"4",$fieldmodel->getPlugins());

if (function_exists("getMaxPaidSystemImages"))
{
	$nb_images += getMaxPaidSystemImages();
}

require JModuleHelper::getLayoutPath('mod_ext_bxslider_adsmanager_ads', $params->get('layout', 'default'));

$content="";
$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
JTable::addIncludePath($path);
?>